<div class="widgets">



  <div class="row" *ngIf="curregion != null" style="position:relative ;background-color: rgba(50,10,10,0.5);margin: 10px;padding: 10px;border-radius: 1px">

    <button type="button" style="position: absolute;right: 15px;top:5px;z-index: 99999" (click)="close()" class="btn btn-default btn-icon"><i
        class="ion-close-round"></i></button>


    <div class="col-md-4">

      <div class="form-group">
        <label for="regionName">Region Name</label>
        <input class="form-control" [(ngModel)]="curregion.name" id="regionName">
      </div>


      <div class="form-group">
        <button class="form-control" type="submit" (click)="updateInfo()" class="btn btn-default btn-with-icon">Update</button>
      </div>

    </div>

    <div class="col-md-4" style="text-align: center">

      <img src="{{curregion.image}}" style="height:70px">
      <div class="form-group">
        <label for="regionImage">Region Image</label>
        <input type="file" id="regionImage" class="form-control" value="upload" #filebtn (change)="updateImage($event)">
      </div>

      <div class="form-group">
        <button class="form-control" type="submit" (click)="updateImage()" class="btn btn-default btn-with-icon">Update
          {{progress}}</button>
      </div>

    </div>


    <div class="col-md-4">


      <img src="{{curregion.cover}}" style="height:70px">

      <div class="form-group">
        <label for="regionCover">Region Cover</label>
        <input type="file" id="regionCover" class="form-control" value="upload" #filebtn (change)="updateCover($event)">
      </div>


      <div class="form-group">
        <button class="form-control" type="submit" (click)="updateCover()" class="btn btn-default btn-with-icon">Update</button>
      </div>

    </div>

  </div>



  <div class="row">
    <div class="col-md-12">
      <input class="form-control" placeholder="Type region to search" [(ngModel)]="searchTerm" (input)="search($event)" />
      <br>
    </div>

    <div class="col-md-3" *ngFor="let region of regions">

      <div class="card" style="width: 100%">
        <img class="card-img-top" style="width:100%" src="{{region.val().cover}}" alt="Card image cap">
        <div class="card-block">
          <h4 class="card-title">{{region.val().name}}</h4>
          <p class="card-text">{{region.val().genre}}</p>
          <hr>
          <p class="card-text">{{region.val().timestamp | date:'medium'}}</p>



        </div>
        <div class="card-block">
          <button type="button" (click)="edit(region)" class="btn btn-default btn-with-icon"><i class="ion-edit"></i>Edit</button>
          <button type="button" (click)="delete(region.key)" class="btn btn-primary btn-with-icon"><i class="ion-android-delete"></i>Delete</button>

        </div>
      </div>

    </div>


  </div>

</div>